import React from 'react';
export function extractChildren(children, types) {
  var inverse = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : false;
  return React.Children.toArray(children).filter(function (child) {
    var type = child === null || child === void 0 ? void 0 : child.type;
    return inverse ? !types.includes(type) : types.includes(type);
  });
}